/*****************************************************************************
    Ethernet packet sniffer - GreedyDog2

    Developed by Shadow Penguin Security Resarch Group
     http://www.shadowpenguin.org
     UNYUN <unyun@shadowpenguin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 *****************************************************************************/

#include "gen.h"

/*============================================================================
 Set appropriate permittion to specified logfile
 In Win32, this function is dummy
 [INPUT]
  uid           : User ID of logfile
  filename      : Filename of logfile
 [RETURN]
  PERM_NOERROR  : No Error
  PERM_NOTFOUND : File not found
  PERM_CHOWN    : chown() error
  PERM_CHMOD    : chmod() error 
  ============================================================================
*/
int setperm_logfile(uid_t uid,char *filename)
{
    return(PERM_NOERROR);
}

/*============================================================================
 Check logfile permission
 In Win32, this function is dummy
 [INPUT]
  fname         : Filename
 [RETURN]
  0             : OK
  <0            : Error
  ============================================================================
*/
int iswriteablefile(char *fname)
{
    return(0);
}

/*============================================================================
 Check directory permission
 In Win32, this function is only makes directory.
 [INPUT]
  fname         : Filename
 [RETURN]
  0             : OK
  <0            : Error
  ============================================================================
*/
int checkdir(char *dirname)
{
    CreateDirectory(dirname,NULL);
    return(0);
}
